### Method

# Foundry Contextual dup_context

#### Declaration [src]

    FoundryContext*
    foundry_contextual_dup_context (
      FoundryContextual* self
    )

#### Description [src]

Gets the `FoundryContext` that `self` is a part of while safely increasing the reference count of the resulting `FoundryContext` by 1.

#### Return value

Type: `FoundryContext`

A `FoundryContext` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.